Issue 18772

Summary: image controls *always* scale their image
Product: Base Reporter: Frank Schönheit <frank.schoenheit>
Component: codeAssignee: christoph.lukasiak
Status: CLOSED FIXED QA Contact: issues@dba <issues>
Severity: Trivial    
Priority: P3 CC: issues
Version: OOo 1.1 RC3   
Target Milestone: OOo 2.0   
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---

Description Frank Schönheit 2003-08-28 13:42:10 UTC
When you use an image control to display images stored in a database, this is
virtually unusable, since the control always scales the image to the full
control size. This means that unless all the images in your database have the
same size, you always end up with images which are shown crippled.
Comment 1 Frank Schönheit 2003-08-28 13:44:48 UTC
investigation shows that the implementation for *not* scaling the
image is already present, it's simply not presented in the user interface.

Fixing this bug thus most probably simply means adding this property
to the property browser.

This also leads to suggesting the following workaround:
For the document which contains the image control, use the following
macro:
  oForm = thisComponent.DrawPage.Forms.getByName( "formname" )
  oForm.ImageControl.ScaleImage = TRUE

(adjust "formname" to the logical name of your form, and ImageControl
to the name of your control - both can be seen in the form navigator)
Comment 2 Frank Schönheit 2003-08-28 13:45:16 UTC
accepting and targeting
Comment 3 kingshome 2003-08-28 19:12:06 UTC
I may have misunderstood Frank here, but in order to disable the 
scaling to full control size, shouldn't the macro read:

oForm = thisComponent.DrawPage.Forms.getByName( "formname" )
oForm.ImageControl.ScaleImage = FALSE

I tried it with TRUE and it didn't work, but FALSE works a treat.
Comment 4 Frank Schönheit 2003-09-01 09:18:12 UTC
argh. Indeed, FALSE is better :). Thanks John!
Comment 5 Frank Schönheit 2003-10-29 12:47:48 UTC
fixed in CWS frmcontrols01 (nearly everything was already there: It's
simply that the property browser, for whatever reasons, did offer this
property for Basic dialog controls only, but not for form controls.)
Comment 6 Frank Schönheit 2003-12-02 12:02:08 UTC
fs->clu: please verify in CWS frmcontrols01
Comment 7 christoph.lukasiak 2003-12-09 09:13:24 UTC
verified in cws
Comment 8 christoph.lukasiak 2003-12-09 09:15:24 UTC
verified
Comment 9 christoph.lukasiak 2003-12-09 09:16:10 UTC
verified
Comment 10 christoph.lukasiak 2003-12-23 10:32:55 UTC
clu: verified in master (680m19-1)
Comment 11 hans_werner67 2004-02-02 12:25:06 UTC
change subcomponent to 'none'